set inF=%1
set tempname="%inF:~1,-5%_temp.pdf"
set outF="%inF:~1,-5%_comb.pdf"

echo %tempname%
echo %outF%

cpdf %inF% -mediabox "0mm 0mm 46mm 64mm" AND -shift "3mm 2mm" AND -rotate 180 -o %tempname%
cpdf -collate %tempname% %tempname% %tempname% %tempname% %tempname% %tempname% AND -impose-xy "6 6" AND -mediabox "0 0 320mm 384mm" AND -shift "28.4mm 2.15mm" -o temp.pdf
cpdf -stamp-on back.pdf temp.pdf  -o %outF%
del %tempname%
del temp.pdf
pause